Get Vendor Balance
curl --request GET \
--url https://api.topsort.com/public/v1/billing-service/vendors/{external-vendor-id}/balance \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.topsort.com/public/v1/billing-service/vendors/{external-vendor-id}/balance"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topsort.com/public/v1/billing-service/vendors/{external-vendor-id}/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"currencyCode": "<string>",
"balance": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Billing API
Get Vendor Balance
Endpoint to get the balance for a vendor.
GET
/
public
/
v1
/
billing-service
/
vendors
/
{external-vendor-id}
/
balance
Get Vendor Balance
Authorizations
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Path Parameters
The External ID of the Vendor to retrieve.
Minimum string length:
1Was this page helpful?
⌘I